/** :{examples} import * as endpoints from "constants/endpoints"; */
/** :{!examples} // import * as endpoints from "constants/endpoints"; */

/**
 * Refactor these Post types with the types you need within your application.
 */

{/** :{examples} export type PostRequestPost = {
  userId: number;
  title: string;
  body: string;
};

type PostResponsePost = {
  userId: number;
  id: number;
  title: string;
  body: string;
}; */}

// Request types
export type RequestMapPost = {
  /** :{!examples} // [endpoints.KEY]: Type; */
  /** :{examples} [endpoints.POSTS]: PostRequestPost; */
};

// Response types
export type ResponseMapPost = {
  /** :{!examples} // [endpoints.KEY]: Type; */
  /** :{examples} [endpoints.POSTS]: PostResponsePost; */
};
