/** :{examples} import * as endpoints from "constants/endpoints"; */
/** :{!examples} // import * as endpoints from "constants/endpoints"; */

/**
 * Refactor these Put types with the types you need within your application.
 */

{/** :{examples} export type PutRequestPost = {
  id: number;
  userId: number;
  title: string;
  body: string;
};

type PutResponsePost = {
  userId: number;
  id: number;
  title: string;
  body: string;
}; */}

// Request types
export type RequestMapPut = {
 /** :{!examples} // [endpoints.KEY]: Type; */
 /** :{examples} [endpoints.POSTS]: PutRequestPost; */
};

// Response types
export type ResponseMapPut = {
 /** :{!examples} // [endpoints.KEY]: Type; */
 /** :{examples} [endpoints.POSTS]: PutResponsePost; */
};
