export type FontFamily = "";

export type FontStyle = "italic" | "normal";

type FontWeight =
  | "normal"
  | "bold"
  | "100"
  | "200"
  | "300"
  | "400"
  | "500"
  | "600"
  | "700"
  | "800"
  | "900";

export type FontWeights = {
  light: FontWeight;
  regular: FontWeight;
  medium: FontWeight;
  bold: FontWeight;
};

export type FontSizes = {
  x3s: number;
  x2s: number;
  xs: number;
  s: number;
  m: number;
  l: number;
  xl: number;
  x2l: number;
  x3l: number;
  x4l: number;
};
