import * as PhotosService from "services/photos";
import { transformPhoto } from "transforms/photos";
import connectServiceToTransformer from "utils/connect-service-to-transformer";

const getPhoto = connectServiceToTransformer(
  PhotosService.getPhoto,
  transformPhoto
);

export { getPhoto };
