import * as endpoints from "constants/endpoints";
/** :{examples} import { PostRequestPost } from "models/api-post"; */
/** :{examples} import { PutRequestPost } from "models/api-put"; */

import api from "./api";

const getPosts = (userId?: number) => api.get(endpoints.POSTS, { userId });

const getPost = (id: number) => api.get(endpoints.POST, { id });

/** :{examples} const createPost = (post: PostRequestPost) => api.post(endpoints.POSTS, post); */

/** :{examples} const updatePost = (post: PutRequestPost) => api.put(endpoints.POSTS, post); */

/** :{examples} const deletePost = (id: number) => api.remove(endpoints.POSTS, { id }); */

/** :{examples} export { getPosts, getPost, createPost, updatePost, deletePost }; */
/** :{!examples} export { getPosts, getPost }; */