import {
  TypedUseSelectorHook,
  useSelector as useSelectorDefault,
} from "react-redux";

import type { RootState } from "store/index";

// Use throughout your app instead of `useSelector` from react-redux
const useSelector: TypedUseSelectorHook<RootState> = useSelectorDefault;

export default useSelector;
