import React from "react";
import { ScrollView, StatusBar, View, Text } from "react-native";

/** :{i18n} import Button from "components/button"; */
/** :{reduxToolkit} import Dropdown from "components/dropdown"; */
/** :{i18n} import { LANGUAGES } from "constants/i18n"; */
/** :{reduxToolkit} import useCurrentAppearance from "hooks/use-appearance"; */
/** :{reduxToolkit} import useDispatch from "hooks/use-dispatch"; */
/** :{i18n} import { useLanguage } from "hooks/use-locale"; */
/** :{reduxToolkit} import { AppearanceMode, setAppearance } from "store/slices/app-settings"; */

import styles from "./settings.styles";

{/** :{reduxToolkit} const APPEARANCES = [
  { label: "Sync with OS", value: "sync" },
  { label: "DarkMode", value: "dark" },
  { label: "LightMode", value: "light" },
]; */}

const Settings = () => {
  const $ = styles();
  /** :{i18n} const { locale, selectLanguage } = useLanguage(); */

  {/** :{reduxToolkit} const appearance = useCurrentAppearance();
  const dispatch = useDispatch();
  const handleAppearance = (value: AppearanceMode) => {
    dispatch(setAppearance(value));
  }; */}

  {/** :{i18n} const handleOnPress = () => {
    if (locale === LANGUAGES.en) {
      selectLanguage(LANGUAGES.nl);
    }
    if (locale === LANGUAGES.nl) {
      selectLanguage(LANGUAGES.en);
    }
  }; */}

  /** :{reduxToolkit} const initialValue = APPEARANCES.find((item) => item.value.match(appearance)); */

  return (
    <View style={$.context}>
      <StatusBar barStyle={"light-content"} />
      <ScrollView>
        <View style={$.padding}>
          <Text style={$.title}>Add your own App Settings!</Text>
        </View>
        {/** :{reduxToolkit} <View style={$.padding}>
          <Text style={$.title}>Appearance</Text>
          <View style={$.settings}>
            <Dropdown
              data={APPEARANCES}
              initialValue={initialValue}
              onSelect={(item) =>
                handleAppearance(item.value as AppearanceMode)
              }
            />
          </View>
            </View> */}
        {/** :{i18n} <View style={$.padding}>
          <Text style={$.title}>Language</Text>
          <View style={$.settings}>
            <Button
              label={"Change Language"}
              style={$.button}
              onPress={handleOnPress}
            />
          </View>
            </View> */}
      </ScrollView>
    </View>
  );
};

export default Settings;
