[![Author](https://img.shields.io/badge/Author-Triple-yellow)](https://www.wearetriple.com/en)
![License](https://img.shields.io/badge/license-MIT-blue)
[![Build Status](https://dev.azure.com/wearetriple/Triple%20-%20Webteam/_apis/build/status/triple-react-native-cli?branchName=main)](https://dev.azure.com/wearetriple/Triple%20-%20Webteam/_build/latest?definitionId=551&branchName=main)

# Introduction

This is the Triple CLI for React Native. Teams at Triple use this CLI to scaffold React Native apps.

# Contents

- [Introduction](#introduction)
- [Tech Stack](#tech-stack)
- [Requirements](#requirements)
- [Getting Started](#getting-started)
- [License](#license)

# Tech Stack

Triple apps include the following technical desicions out of the box:

- React Native
- React Navigation 6
- Typescript
- Eslint-config-triple
- React-native-svg (for SVG support)
- Axios for API Communication
- Clean Code Architecture

# Requirements

- Node support for v14.19.1 - v17.4.0
- Java SE Development Kit (JDK) v11 or newer
- Android Studio (For Android development only)
- Xcode with Cocoapods (For IOS development only)

# Getting Started

To scaffold your own app(s) you can follow one of two steps:

1. Enter `npx create-triple-react-native-app` in any terminal
2. Clone the repository locally

When cloned locally:

1. `yarn`
2. In `package.json` change `"name":"create-triple-react-native-app"` to `"name":"create-triple-app"`
3. `yarn build` (2a. on Mac `chmod +x build/main.mjs`)
4. `npm link` (NPM link is required)
5. Enter `create-triple-app` in any terminal

# License

Triple React Native CLI is MIT licensed.
