const MODULE_RESOLVER = [
  "module-resolver",
  {
    alias: {
      assets: "./src/ui/assets",
      png: "./src/ui/assets/png",
      svg: "./src/ui/assets/svg",
      fonts: "./src/ui/assets/fonts",
      components: "./src/ui/components",
      constants: "./src/core/constants",
      context: "./src/ui/context",
      hooks: "./src/ui/hooks",
      locales: "./src/ui/locales",
      models: "./src/core/models",
      repositories: "./src/core/repositories",
      screens: "./src/ui/screens",
      services: "./src/core/services",
      store: "./src/core/store",
      src: "./src",
      store: "./src/core/store",
      transforms: "./src/core/transforms",
      utils: "./src/utils",
    },
    extensions: [
      ".ios.ts",
      ".android.ts",
      ".ts",
      ".ios.tsx",
      ".android.tsx",
      ".jsx",
      ".js",
      ".json",
      ".svg",
    ],
    root: ["."],
  },
];

module.exports = {
  presets: ["module:metro-react-native-babel-preset"],
  plugins: [MODULE_RESOLVER],
};
