/** :{examples} import * as endpoints from "constants/endpoints"; */
/** :{!examples} // import * as endpoints from "constants/endpoints"; */

/**
 * Refactor these Delete types with the types you need within your application.
 */

{/** :{examples} type DeleteRequestPost = {
  id: number;
}; */}

// Request types
export type RequestMapDelete = {
 /** :{!examples} // [endpoints.KEY]: Type; */
 /** :{examples} [endpoints.POSTS]: DeleteRequestPost; */
};

// Response types
export type ResponseMapDelete = {
 /** :{!examples} // [endpoints.KEY]: Type; */
 /** :{examples} [endpoints.POSTS]: Record<string, never>; */
};
