import * as AlbumsService from "services/albums";
import { transformAlbums } from "transforms/albums";
import connectServiceToTransformer from "utils/connect-service-to-transformer";

const getAlbums = connectServiceToTransformer(
  AlbumsService.getAlbums,
  transformAlbums
);

export { getAlbums };
