import { AnyAction, combineReducers } from "redux";

import appSettings from "store/slices/app-settings";

const combinedReducers = combineReducers({
  appSettings,
});

type State = ReturnType<typeof combinedReducers>;

const rootReducer = (state: State | undefined, action: AnyAction) => {
  return combinedReducers(state, action);
};

export default rootReducer;
