import { GetResponseAlbum } from "models/api-get";
import { isArray, isNum, isString } from "utils/check-type";

export const transformAlbum = (data: any): GetResponseAlbum => ({
  userId: isNum(data?.userId),
  id: isNum(data?.id),
  title: isString(data?.title),
});

export const transformAlbums = (data: any): GetResponseAlbum[] =>
  isArray<any[]>(data).map(transformAlbum);
