import { GetResponsePost } from "models/api-get";
import { isArray, isNum, isString } from "utils/check-type";

export const transformPost = (data: any): GetResponsePost => ({
  userId: isNum(data?.userId),
  id: isNum(data?.id),
  title: isString(data?.title),
  body: isString(data?.body),
});

export const transformPosts = (data: any): GetResponsePost[] =>
  isArray<any[]>(data).map(transformPost);
