import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette, typography, components, spacing }) => ({
    button: {
      ...components.button,
      height: 50,
      display: "flex",
      flexDirection: "row",
      justifyContent: "center",
      alignItems: "center",
    },
    activityIndicator: {
      marginRight: spacing(1),
      color: palette.common.white,
    },
    text: {
      fontSize: typography.fontSizes.m,
      fontWeight: typography.primary.fontWeights.bold,
      textAlign: "center",
    },
  }))
};

export default styles;
