import React from "react";
import { Text, View } from "react-native";

import { GetResponsePost } from "models/api-get";

import styles from "./post.style";

type Props = {
  post: GetResponsePost;
};

const Post = ({ post }: Props) => {
  const $ = styles();
  return (
    <View style={$.context}>
      <Text style={$.title}>{post.title}</Text>
      <Text style={$.body}>{post.body}</Text>
    </View>
  );
};

export default Post;
