import { useDispatch as useDispatchDefault } from "react-redux";

import type { AppDispatch } from "store/index";

// Use throughout your app instead of `useDispatch` from react-redux
const useDispatch = () => {
  return useDispatchDefault<AppDispatch>();
};

export default useDispatch;
