import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette }) => ({
    page: {
      height: "100%",
      backgroundColor: palette.background,
      justifyContent: "flex-start",
    },
    text: {
      color: palette.common.white,
      textAlign: "center",
    },
  }));
};

export default styles;
